# Configuration
baseURL: "https://example.com/"
title: "Hextra"

enableRobotsTXT: true
# Parse Git commit
enableGitInfo: true
# enableEmoji: false
hasCJKLanguage: true

# services:
#   googleAnalytics:
#     ID: G-MEASUREMENT_ID

outputs:
  home: [HTML]
  page: [HTML]
  section: [HTML, RSS]

defaultContentLanguage: en
languages:
  en:
    languageName: English
    weight: 1
    title: Hextra
  fa:
    languageName: فارسی
    languageCode: fa
    languageDirection: rtl
    weight: 2
    title: هگزترا
  ja:
    languageName: 日本語
    languageCode: ja
    weight: 3
    title: Hextra
  zh-cn:
    languageName: 简体中文
    languageCode: zh-CN
    weight: 4
    title: Hextra

module:
  hugoVersion:
    extended: true
    min: "0.134.0"

  workspace: hugo.work
  imports:
    - path: github.com/imfing/hextra

markup:
  highlight:
    noClasses: false
  goldmark:
    renderer:
      unsafe: true
    extensions:
      passthrough:
        delimiters:
          block: [['\[', '\]'], ['$$', '$$']]
          inline: [['\(', '\)']]
        enable: true

enableInlineShortcodes: true

menu:
  main:
    - identifier: documentation
      name: Documentation
      pageRef: /docs
      weight: 1
    - identifier: showcase
      name: Showcase
      pageRef: /showcase
      weight: 2
    - identifier: blog
      name: Blog
      pageRef: /blog
      weight: 3
    - identifier: about
      name: About
      pageRef: /about
      weight: 4
    - name: Search
      weight: 5
      params:
        type: search
    - name: GitHub
      weight: 6
      url: "https://github.com/imfing/hextra"
      params:
        icon: github

  sidebar:
    - identifier: more
      name: More
      params:
        type: separator
      weight: 1
    - identifier: about
      name: "About"
      pageRef: "/about"
      weight: 2
    - identifier: hugoDocs
      name: "Hugo Docs ↗"
      url: "https://gohugo.io/documentation/"
      weight: 3

params:
  description: Modern, responsive, batteries-included Hugo theme for creating beautiful static websites.

  navbar:
    displayTitle: true
    displayLogo: true
    logo:
      path: images/logo.svg
      dark: images/logo-dark.svg
      # width: 40
      # height: 20
      # link: /
    width: wide

  page:
    # full (100%), wide (90rem), normal (1280px)
    width: normal

  theme:
    # light | dark | system
    default: system
    displayToggle: true

  footer:
    enable: true
    displayCopyright: true
    displayPoweredBy: true
    width: normal

  # Display the last modification date
  displayUpdatedDate: true
  dateFormat: "January 2, 2006"

  # Search
  # flexsearch is enabled by default
  search:
    enable: true
    type: flexsearch

    flexsearch:
      # index page by: content | summary | heading | title
      index: content
      # full | forward | reverse | strict
      # https://github.com/nextapps-de/flexsearch/#tokenizer-prefix-search
      tokenize: forward

  editURL:
    enable: true
    base: "https://github.com/imfing/hextra/edit/main/exampleSite/content"

  blog:
    list:
      displayTags: true
      # date | lastmod | publishDate | title | weight
      sortBy: date
      sortOrder: desc # or "asc"
    
    article:
      displayPagination: true

  highlight:
    copy:
      enable: true
      # hover | always
      display: hover

  comments:
    enable: false
    type: giscus

    # https://giscus.app/
    giscus:
      repo: imfing/hextra
      repoId: R_kgDOJ9fJag
      category: General
      categoryId: DIC_kwDOJ9fJas4CY7gW
      # mapping: pathname
      # strict: 0
      # reactionsEnabled: 1
      # emitMetadata: 0
      # inputPosition: top
      # lang: en
      # theme: noborder_dark
